Package org.gradle.tooling.events

# Enum Class OperationType

java.lang.Object
java.lang.Enum<OperationType>
org.gradle.tooling.events.OperationType

All Implemented Interfaces:
  `Serializable`, `Comparable<OperationType>`, `Constable`

@Incubating public enum OperationType extends Enum<OperationType>
Enumerates the different types of operations for which progress events can be received.

See Also:
  - `LongRunningOperation.addProgressListener(ProgressListener, java.util.Set)`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`GENERIC`
Flag for operations with no specific type.
`TASK`
Flag for task operation progress events.
`TEST`
Flag for test operation progress events.

## Method Summary

Modifier and Type
Method
Description
`static OperationType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static OperationType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TEST

public static final OperationType TEST
Flag for test operation progress events.

### TASK

public static final OperationType TASK
Flag for task operation progress events.

### GENERIC

public static final OperationType GENERIC
Flag for operations with no specific type.

## Method Details

### values

public static OperationType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static OperationType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null